## jquery-throttle-debounce 1.1+dfsg.1

=== debian/changelog ===
jquery-throttle-debounce (1.1+dfsg.1-2) unstable; urgency=medium

  * The “Rahaf Mohammed Alqunun” release.
  * Update publication years for Debian packaging in copyright notices.
  * Update my email address for Debian work.
  * Use the current HTTPS URL for copyright format declaration.
  * Declare current URL for Debian packaging VCS.
  * Move the package to new “Section: javascript”.
  * Declare conformance to “Standards-Version: 4.6.0”.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Specify settings for EditorConfig in this project.
  * Update package source documentation for standard packaging tools.
  * Specify current URL for Debian packaging source repository.
  * Use UScan features to better specify upstream source URLs.
  * Specify version of GPL license text referenced by upstream grant.
  * Specify the package build system does not require root privilege.
  * Record upstream metadata in DEP-12 document.
  * Install upstream example documents.
  * Build-Depends on command-line tool (not library) UglifyJS package.
    Closes: bug#979886. Thanks to Jonas Smedegaard for the explanation.
  * Install upstream Read Me document.

 -- Ben Finney <bignose@debian.org>  Sat, 12 Feb 2022 17:20:18 +1100

jquery-throttle-debounce (1.1+dfsg.1-1) unstable; urgency=medium

  * The “Ashraf Fayad” release.
  * Initial Debian release.
    (Closes: bug#829407)

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 07 Jul 2016 00:20:10 +1000
