=== debian/control ===
Source: jquery-throttle-debounce
Maintainer: Ben Finney <bignose@debian.org>
Section: javascript
Priority: optional
Build-Depends:
    uglifyjs,
    debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: http://benalman.com/projects/jquery-throttle-debounce-plugin/
VCS-Git: https://salsa.debian.org/bignose/pkg-jquery-throttle-debounce.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-jquery-throttle-debounce/
Rules-Requires-Root: no

Package: libjs-jquery-throttle-debounce
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    javascript-common
Description: library of rate-limit wrappers for functions
 jQuery throttle / debounce allows you to rate-limit your functions in
 multiple useful ways:
 .
  * Passing a ‘delay’ and ‘callback’ to ‘$.throttle’ returns a new
    function that will execute no more than once every ‘delay’
    milliseconds.
  * Passing a ‘delay’ and ‘callback’ to ‘$.debounce’ returns a new
    function that will execute only once, coalescing multiple
    sequential calls into a single execution at either the very
    beginning or end.
 .
 jQuery isn’t actually required for this library, because nothing
 internal uses any jQuery methods or properties. jQuery is just used
 as a namespace under which these methods can exist.
 .
 This package installs the runtime library.
