=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Ben Alman's repository.
opts = "uversionmangle=s/(\d)-((?:rc|a|b|c)\d*)$/$1~$2/,repack,repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d+$//" \
    https://github.com/cowboy/jquery-throttle-debounce/tags/ \
    /cowboy/jquery-throttle-debounce/archive/refs/tags/(?:v)@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
